2009年12月24日

[debian-users:53460] [Translate] [SECURITY] [DSA-1962-1] New kvm packages fix severalvulnerabilities

かねこです。
URL 等は Debian-security-announce メーリングリストの元記事を確認
ください。

------>8------------>8------------>8------------>8------------>8-
- ------------------------------------------------------------------------
Debian Security Advisory DSA-1962 security@xxxxx
http://www.debian.org/security/ Giuseppe Iuculano

December 23, 2009 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : kvm
Vulnerability : 複数の欠陥
Problem type : ローカル
Debian-specific: いいえ
Debian bugs : 557739 562075 562076
CVE Ids : CVE-2009-3638 CVE-2009-3722 CVE-2009-4031


全仮想化システム kvm に、複数の問題が発見されました。The Common
Vulnerabilities and Exposures project は以下の問題を認識しています。

CVE-2009-3638

kvm_dev_ioctl_get_supported_cpuid 関数に整数オーバフローが発見されました。
この欠陥を攻撃することにより、ローカルユーザが kvm_arch_dev_ioctl 関数に
対する KVM_GET_SUPPORTED_CPUID リクエストを用いて影響範囲不明の攻撃の実
行が可能です。

CVE-2009-3722

KVM サブシステムの handle_dr 関数が、現在の特権レベル (CPL) をデバッグレ
ジスタアクセス前に適切にチェックしていないため、ゲスト OS のユーザからの
細工したアプリケーションを用いたホスト OS に対するサービス拒否攻撃が可能
です。

CVE-2009-4031

KVM の x86 エミュレータ 内の do_insn_fetch 関数が、有効なもの以上のバイ
ト数を含む命令を解釈実行しようとするため、ゲスト OS のユーザからの SMP
サポートに関連した未知の攻撃手法によるホスト OS に対するサービス拒否攻撃
(スケジュール遅延の増加) の可能性があります。


安定版 (stable) ディストリビューション (lenny) では、これらの問題はバージ
ョン 72+dfsg-5~lenny4 で修正されています。

テスト版 (squeeze) および不安定版 (unstable) ディストリビューションでは、
これらの問題は近く修正予定です。

直ぐに kvm パッケージをアップグレードすることを勧めます。


アップグレード手順
------------------

wget url
でファイルを取得できます。
dpkg -i file.deb
で参照されたファイルをインストールできます。

apt-get パッケージマネージャを用いている場合には、本メールのフッタ記載の
行を sources.list に加えて、

apt-get update
を実行して内部データベースを更新し、
apt-get upgrade
によって修正されたパッケージをインストールしてください。

本メールのフッタ記載の設定を自ホストの設定に加えることにより、自動更新を
行うこともできます。


Debian GNU/Linux 5.0 alias lenny
- --------------------------------

Debian (stable)
- ---------------

安定版の更新は、alpha, amd64, arm, hppa, i386, ia64, mips, mipsel,
powerpc, s390 および sparc の各アーキテクチャで提供されています。


ソースアーカイブ:

http://security.debian.org/pool/updates/main/k/kvm/kvm_72+dfsg.orig.tar.gz
Size/MD5 checksum: 3250251 899a66ae2ea94e994e06f637e1afef4a
http://security.debian.org/pool/updates/main/k/kvm/kvm_72+dfsg-5~lenny4.diff.gz
Size/MD5 checksum: 42354 12a3490ebcba2c1e9aa2a86140eaa2e3
http://security.debian.org/pool/updates/main/k/kvm/kvm_72+dfsg-5~lenny4.dsc
Size/MD5 checksum: 1349 95ea1b5511954549694e198b838e308c

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/k/kvm/kvm-source_72+dfsg-5~lenny4_all.deb
Size/MD5 checksum: 158524 70f46f694afd3169ce16a4c84ee32eb6

amd64 architecture (AMD x86_64 (AMD64))

http://security.debian.org/pool/updates/main/k/kvm/kvm_72+dfsg-5~lenny4_amd64.deb
Size/MD5 checksum: 1105892 22f218058f3cc3f8d40ca9069ff151f9

i386 architecture (Intel ia32)

http://security.debian.org/pool/updates/main/k/kvm/kvm_72+dfsg-5~lenny4_i386.deb
Size/MD5 checksum: 1030580 ffdfcfce508514828bf455183e45f581


これらのファイルは次の版の安定版リリース時そちらに移されます。


- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@xxxxx
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<;pkg>
------>8------------>8------------>8------------>8------------>8-
--
Seiji Kaneko skaneko@xxxxx
---------------------------------------------------------

投稿者 xml-rpc : 2009年12月24日 00:59
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/91734
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。